Skip to main content
POST
Complete a maintenance window

Lifecycle & State Requirements

Only maintenance windows in the in_progress state can be marked as completed. Trying to complete a maintenance window in a different state will return a 403 Forbidden response.

What happens on completion?

When a maintenance window is marked as completed:
  1. The window state changes to completed.
  2. Any monitors attached to the window that were paused (when using the pause monitoring mode) are automatically resumed. Unless they were already paused before the start of the maintenance window, or an overlapping maintenance window with pause monitoring mode is still ongoing.
  3. Connected status pages are updated immediately to remove upcoming or active maintenance announcements.
  4. The uptime.maintenance_window.completed alert event is dispatched to any configured alert rules.

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

maintenanceWindowId
integer
required

ID of the maintenance window to complete

Response

Success, maintenance window completed

monitoring_mode
enum<string>
required

Monitoring mode during maintenance

Available options:
pause,
mute,
normal
title
string
required

Maintenance window title

Required string length: 1 - 250
Example:

"Database upgrade"

starts_at
string<date-time>
required

Date and time when the maintenance window starts, with minute precision (seconds must be 00). Must be within the next year.

ends_at
string<date-time>
required

Date and time when the maintenance window ends, with minute precision (seconds must be 00). Must be after starts_at and within the next year.

monitors
integer[]
required

List of monitor IDs linked to the maintenance window

Required array length: 1 - 100 elements
Example:
id
integer

Maintenance window ID

Example:

1

project_id
integer

Parent project ID

Example:

1

state
enum<string>

Maintenance window state

Available options:
scheduled,
in_progress,
completed,
cancelled
description
string | null

Description of the maintenance window

Required string length: 1 - 2000
Example:

"Planned database upgrade and maintenance"

status_pages
integer[] | null

List of status page IDs linked to the maintenance window

Maximum array length: 100
Example:
tags
string[] | null

Resource tags, made of lowercase letters, numbers, ., _, : and -. An organization can have up to 200 tags.

Maximum array length: 20
Required string length: 1 - 100
created_at
string<date-time>

Date of creation for the entity

updated_at
string<date-time>

Date of last update for the entity

Last modified on September 4, 2026